# class RuleParser

###

Module | soprano
Namespace | Soprano::Inference
Class | RuleParser
Inherits |

\class RuleParser inferenceruleparser.h Soprano/Inference/RuleParser

The RuleParser can be used to parse %Soprano rule files.

See also RuleSet.standardRuleSet()

Author Sebastian Trueg <trueg@kde.org>

### methods

- RuleParser ( )

  returns ctor

- parseFile (path)

  returns bool

  Argument | Type | Default
  --- | --- | ---
  path | QString |

- rules ( )

  returns Soprano.Inference.RuleSet